/*global define*/
define([], function Config() {
    var config = [
        {
            'layouts': ['fiveG-double-column'],
            'template': [
                '<div class="elements-template">',
                    '<div class="first-page-footnote">',
                        '<span class="first-page-footnote-anchor" refid="foot#1"></span>',
                        '<div class="first-page-footnote-dest" id="foot#1">',
                            '<div class="abbrevation-filled"></div>',
                            '<div class="article-footnote-filled"></div>',
                            '<div class="correspondence-filled"></div>',
                            '<div class="author-web-generated"></div>',
                            '<div class="author-group-footnote-filled"></div>',
                        '</div>',
                    '</div>',
                    '<div class="article-abstract-group-left-panel">',
                        '<div class="article-info-group">',
                            '<div class="article-info-title">Article Info</div>',
                            '<div class="article-info-body">',
                                '<div class="article-history-title">Article history:</div>',
                                '<div class="ce_date-received">',
                                    '<span class="history-text">Received </span>',
                                    '<span class="date-span">',
                                        '<span class="no-data">~received date~</span>',
                                    '</span>',
                                '</div>',
                                '<div class="ce_date-revised">',
                                    '<span class="history-text">Received in revised form </span>',
                                    '<span class="date-span">',
                                        '<span class="no-data">~revised date~</span>',
                                    '</span>',
                                '</div>',
                                '<div class="ce_date-accepted">',
                                    '<span class="history-text">Accepted </span>',
                                    '<span class="date-span">',
                                        '<span class="no-data">~accepted date~</span>',
                                    '</span>',
                                '</div>',
                                '<div class="ce_date-online">',
                                    '<span class="history-text">Available online </span>',
                                    '<span class="date-span">xxx</span>',
                                '</div>',
                            '</div>',
                        '</div>',
                        '<div class="miscellaneous-info"></div>',
                        '<div class="associated-resource"></div>',
                        '<div class="presented-info"></div>',
                        '<div class="dedication-info"></div>',
                        '<div class="keywords-group"></div>',
                    '</div>',
                    '<div class="article-abstract-group-right-panel">',
                        '<div class="abstract-copyright-group">',
                            '<div class="abstract-group"></div>',
                            '<div class="copyright-panel">',
                                '<span class="copyright-generated"></span>',
                            '</div>',
                        '</div>',
                    '</div>',
                    '<div class="article-abstract-group-top-panel">',
                        '<div class="article-abstract-space"></div>',
                        '<div class="article-abstract-ruler"></div>',
                    '</div>',
                    '<div class="article-abstract-group-bottom-panel">',
                        '<div class="article-abstract-ruler"></div>',
                        '<div class="article-abstract-space"></div>',
                    '</div>',
                '</div>',
                '<div class="page firstpage">',
                    '<div class="watermark">UNCORRECTED&nbsp;PROOF</div>',
                    '<div class="page-margin">',
                        '<div class="page-item staticitem">',
                            '<div class="document-header">',
                                '<div class="before-logo-container">',
                                    '<span class="document-title">~title info~</span>',
                                    '<span> </span>',
                                    '<span class="volume-no">xx</span>',
                                    '<span class="issue-no">x</span>',
                                    '<span> (</span>',
                                    '<span class="current-year">~copyright year~</span>',
                                    '<span>) </span>',
                                    '<span>xxx-xxx</span>',
                                '</div>',
                                '<div class="logo-container">',
                                    '<div class="logo-container-child">',
                                        '<div class="top-ruler"></div>',
                                        '<div class="child-row">',
                                            '<div class="left-header customer-logo"></div>',
                                            '<div class="gap"></div>',
                                            '<div class="middle-header">',
                                                '<div class="document-title-top">',
                                                    'Contents lists available at ScienceDirect',
                                                '</div>',
                                                '<div class="document-title">',
                                                    '~Document Title~',
                                                '</div>',
                                                '<div class="document-title-bottom">',
                                                    'journal homepage: www.elsevier.com',
                                                '</div>',
                                            '</div>',
                                        '</div>',
                                    '</div>',
                                    '<div class="gap"></div>',
                                    '<div class="right-header journal-logo"></div>',
                                '</div>',
                                '<div class="bottom-ruler"></div>',
                            '</div>',
                        '</div>',
                        '<div class="textarea">',
                            '<div class="page-item runningitem" data-line="head" data-line-min-limit="3"></div>',
                            '<table class="article-abstract">',
                                '<tbody>',
                                    '<tr>',
                                        '<td colspan="3">',
                                            '<div class="page-item runningitem" data-line="article-abstract-top"></div>',
                                        '</td>',
                                    '</tr>',
                                    '<tr class="columns">',
                                        '<td class="column article-abstract-column-one">',
                                            '<div class="page-item runningitem" data-line="article-abstract-left"></div>',
                                        '</td>',
                                        '<td class="column article-abstract-column-two"></td>',
                                        '<td class="column article-abstract-column-three">',
                                            '<div class="page-item runningitem" data-line="article-abstract-right"></div>',
                                        '</td>',
                                    '</tr>',
                                    '<tr>',
                                        '<td colspan="3">',
                                            '<div class="page-item runningitem" data-line="article-abstract-bottom"></div>',
                                        '</td>',
                                    '</tr>',
                                '</tbody>',
                            '</table>',
                            '<div class="columns">',
                                '<div class="column column-one">',
                                    '<div class="page-item runningitem" data-line="body" data-line-min-limit="3"></div>',
                                    '<div class="page-item dynamicitem" data-link="link#1,link#2" data-footnote-region></div>',
                                '</div>',
                                '<div class="column column-two">',
                                    '<div class="page-item runningitem" data-line="body" data-line-min-limit="3" data-never-start></div>',
                                    '<div class="page-item dynamicitem" data-link="link#2" data-footnote-region></div>',
                                '</div>',
                            '</div>',
                        '</div>',
                        '<div class="page-item staticitem">',
                            '<div class="page-footer">',
                                '<div class="doi-panel">',
                                    '<span>http://dx.doi.org/</span>',
                                    '<span class="doi-filled"></span>',
                                '</div>',
                                '<div class="copyright-panel">',
                                    '<span class="issn-generated">~issn info~</span>',
                                    '<span>/</span>',
                                    '<span class="copyright-generated">~copyright info~</span>',
                                '</div>',
                            '</div>',
                        '</div>',
                    '</div>',
                '</div>',
                '<div class="page versopage">',
                    '<div class="watermark">UNCORRECTED&nbsp;PROOF</div>',
                    '<div class="page-margin">',
                        '<div class="page-item staticitem">',
                            '<div class="page-header">',
                                '<div class="left-header">',
                                    '<span class="page-number">~page no~</span>',
                                '</div>',
                                '<div class="center-header">',
                                    '<span class="document-title">~title info~</span>',
                                    '<span> </span>',
                                    '<span class="volume-no">xx</span>',
                                    '<span class="issue-no">x</span>',
                                    '<span> (</span>',
                                    '<span class="current-year">~copyright year~</span>',
                                    '<span>) </span>',
                                    '<span>xxx-xxx</span>',
                                '</div>',
                                '<div class="right-header"></div>',
                            '</div>',
                        '</div>',
                        '<div class="textarea">',
                            '<div class="page-item dynamicitem" data-link="link#3,link#4,link#5"></div>',
                            '<div class="page-item runningitem" data-line="head" data-line-min-limit="3"></div>',
                            '<table class="article-abstract">',
                                '<tbody>',
                                    '<tr>',
                                        '<td colspan="3">',
                                            '<div class="page-item runningitem" data-line="article-abstract-top"></div>',
                                        '</td>',
                                    '</tr>',
                                    '<tr class="columns">',
                                        '<td class="column article-abstract-column-one">',
                                            '<div class="page-item runningitem" data-line="article-abstract-left"></div>',
                                        '</td>',
                                        '<td class="column article-abstract-column-two"></td>',
                                        '<td class="column article-abstract-column-three">',
                                            '<div class="page-item runningitem" data-line="article-abstract-right"></div>',
                                        '</td>',
                                    '</tr>',
                                    '<tr>',
                                        '<td colspan="3">',
                                            '<div class="page-item runningitem" data-line="article-abstract-bottom"></div>',
                                        '</td>',
                                    '</tr>',
                                '</tbody>',
                            '</table>',
                            '<div class="columns">',
                                '<div class="column column-one">',
                                    '<div class="page-item dynamicitem" data-link="link#3,link#4,link#5"></div>',
                                    '<div class="page-item runningitem" data-line="body" data-line-min-limit="3"></div>',
                                    '<div class="page-item dynamicitem" data-link="link#3,link#4,link#5"></div>',
                                    '<div class="page-item dynamicitem" data-link="link#1,link#2" data-footnote-region></div>',
                                '</div>',
                                '<div class="column column-two">',
                                    '<div class="page-item dynamicitem" data-link="link#3,link#4,link#5"></div>',
                                    '<div class="page-item runningitem" data-line="body" data-line-min-limit="3" data-never-start></div>',
                                    '<div class="page-item dynamicitem" data-link="link#3,link#4,link#5"></div>',
                                    '<div class="page-item dynamicitem" data-link="link#2" data-footnote-region></div>',
                                '</div>',
                            '</div>',
                            '<div class="page-item dynamicitem" data-link="link#3,link#4,link#5"></div>',
                        '</div>',
                        '<div class="page-item staticitem">',
                            '<div class="page-footer"></div>',
                        '</div>',
                    '</div>',
                '</div>',
                '<div class="page rectopage">',
                    '<div class="watermark">UNCORRECTED&nbsp;PROOF</div>',
                    '<div class="page-margin">',
                        '<div class="page-item staticitem">',
                            '<div class="page-header">',
                                '<div class="left-header"></div>',
                                '<div class="center-header">',
                                    '<span class="document-title">~title info~</span>',
                                    '<span> </span>',
                                    '<span class="volume-no">xx</span>',
                                    '<span class="issue-no">x</span>',
                                    '<span> (</span>',
                                    '<span class="current-year">~copyright year~</span>',
                                    '<span>) </span>',
                                    '<span>xxx-xxx</span>',
                                '</div>',
                                '<div class="right-header">',
                                    '<span class="page-number">~page no~</span>',
                                '</div>',
                            '</div>',
                        '</div>',
                        '<div class="textarea">',
                            '<div class="page-item dynamicitem" data-link="link#3,link#4,link#5"></div>',
                            '<div class="page-item runningitem" data-line="head" data-line-min-limit="3"></div>',
                            '<table class="article-abstract">',
                                '<tbody>',
                                    '<tr>',
                                        '<td colspan="3">',
                                            '<div class="page-item runningitem" data-line="article-abstract-top"></div>',
                                        '</td>',
                                    '</tr>',
                                    '<tr class="columns">',
                                        '<td class="column article-abstract-column-one">',
                                            '<div class="page-item runningitem" data-line="article-abstract-left"></div>',
                                        '</td>',
                                        '<td class="column article-abstract-column-two"></td>',
                                        '<td class="column article-abstract-column-three">',
                                            '<div class="page-item runningitem" data-line="article-abstract-right"></div>',
                                        '</td>',
                                    '</tr>',
                                    '<tr>',
                                        '<td colspan="3">',
                                            '<div class="page-item runningitem" data-line="article-abstract-bottom"></div>',
                                        '</td>',
                                    '</tr>',
                                '</tbody>',
                            '</table>',
                            '<div class="columns">',
                                '<div class="column column-one">',
                                    '<div class="page-item dynamicitem" data-link="link#3,link#4,link#5"></div>',
                                    '<div class="page-item runningitem" data-line="body" data-line-min-limit="3"></div>',
                                    '<div class="page-item dynamicitem" data-link="link#3,link#4,link#5"></div>',
                                    '<div class="page-item dynamicitem" data-link="link#1,link#2" data-footnote-region></div>',
                                '</div>',
                                '<div class="column column-two">',
                                    '<div class="page-item dynamicitem" data-link="link#3,link#4,link#5"></div>',
                                    '<div class="page-item runningitem" data-line="body" data-line-min-limit="3" data-never-start></div>',
                                    '<div class="page-item dynamicitem" data-link="link#3,link#4,link#5"></div>',
                                    '<div class="page-item dynamicitem" data-link="link#2" data-footnote-region></div>',
                                '</div>',
                            '</div>',
                            '<div class="page-item dynamicitem" data-link="link#3,link#4,link#5"></div>',
                        '</div>',
                        '<div class="page-item staticitem">',
                            '<div class="page-footer"></div>',
                        '</div>',
                    '</div>',
                '</div>',
                '<div class="page landscapepage">',
                    '<div class="watermark">UNCORRECTED&nbsp;PROOF</div>',
                    '<div class="page-margin">',
                        '<div class="page-item staticitem">',
                        '</div>',
                        '<div class="textarea">',
                            '<div class="page-item dynamicitem" data-link="link#3,link#4,link#5"></div>',
                        '</div>',
                        '<div class="page-item staticitem">',
                        '</div>',
                    '</div>',
                '</div>'
            ]
        },
        {
            'layouts': ['threeG-single-column'],
            'template': [
                '<div class="elements-template">',
                    '<div class="first-page-footnote">',
                        '<span class="first-page-footnote-anchor" refid="foot#1"></span>',
                        '<div class="first-page-footnote-dest" id="foot#1">',
                            '<div class="abbrevation-filled"></div>',
                            '<div class="article-footnote-filled"></div>',
                            '<div class="correspondence-filled"></div>',
                            '<div class="author-web-generated"></div>',
                            '<div class="author-group-footnote-filled"></div>',
                        '</div>',
                    '</div>',
                    '<div class="article-abstract-group-left-panel">',
                        '<div class="article-info-group">',
                            '<div class="article-info-title">Article Info</div>',
                            '<div class="article-info-body">',
                                '<div class="article-history-title">Article history:</div>',
                                '<div class="ce_date-received">',
                                    '<span class="history-text">Received </span>',
                                    '<span class="date-span">',
                                        '<span class="no-data">~received date~</span>',
                                    '</span>',
                                '</div>',
                                '<div class="ce_date-revised">',
                                    '<span class="history-text">Received in revised form </span>',
                                    '<span class="date-span">',
                                        '<span class="no-data">~revised date~</span>',
                                    '</span>',
                                '</div>',
                                '<div class="ce_date-accepted">',
                                    '<span class="history-text">Accepted </span>',
                                    '<span class="date-span">',
                                        '<span class="no-data">~accepted date~</span>',
                                    '</span>',
                                '</div>',
                                '<div class="ce_date-online">',
                                    '<span class="history-text">Available online </span>',
                                    '<span class="date-span">xxx</span>',
                                '</div>',
                            '</div>',
                        '</div>',
                        '<div class="miscellaneous-info"></div>',
                        '<div class="associated-resource"></div>',
                        '<div class="presented-info"></div>',
                        '<div class="dedication-info"></div>',
                        '<div class="keywords-group"></div>',
                    '</div>',
                    '<div class="article-abstract-group-right-panel">',
                        '<div class="abstract-copyright-group">',
                            '<div class="abstract-group"></div>',
                            '<div class="copyright-panel">',
                                '<span class="copyright-generated"></span>',
                            '</div>',
                        '</div>',
                    '</div>',
                    '<div class="article-abstract-group-top-panel">',
                        '<div class="article-abstract-space"></div>',
                        '<div class="article-abstract-ruler"></div>',
                    '</div>',
                    '<div class="article-abstract-group-bottom-panel">',
                        '<div class="article-abstract-ruler"></div>',
                        '<div class="article-abstract-space"></div>',
                    '</div>',
                '</div>',
                '<div class="page firstpage">',
                    '<div class="watermark">UNCORRECTED&nbsp;PROOF</div>',
                    '<div class="page-margin">',
                        '<div class="page-item staticitem">',
                            '<div class="document-header">',
                                '<div class="before-logo-container">',
                                    '<span class="document-title">~title info~</span>',
                                    '<span> </span>',
                                    '<span class="volume-no">xx</span>',
                                    '<span class="issue-no">x</span>',
                                    '<span> (</span>',
                                    '<span class="current-year">~copyright year~</span>',
                                    '<span>) </span>',
                                    '<span>xxx-xxx</span>',
                                '</div>',
                                '<div class="logo-container">',
                                    '<div class="logo-container-child">',
                                        '<div class="top-ruler"></div>',
                                        '<div class="child-row">',
                                            '<div class="left-header customer-logo"></div>',
                                            '<div class="gap"></div>',
                                            '<div class="middle-header">',
                                                '<div class="document-title-top">',
                                                    'Contents lists available at ScienceDirect',
                                                '</div>',
                                                '<div class="document-title">',
                                                    '~Document Title~',
                                                '</div>',
                                                '<div class="document-title-bottom">',
                                                    'journal homepage: www.elsevier.com',
                                                '</div>',
                                            '</div>',
                                        '</div>',
                                    '</div>',
                                    '<div class="gap"></div>',
                                    '<div class="right-header journal-logo"></div>',
                                '</div>',
                                '<div class="bottom-ruler"></div>',
                            '</div>',
                        '</div>',
                        '<div class="textarea">',
                            '<div class="page-item runningitem" data-line="head" data-line-min-limit="3"></div>',
                            '<table class="article-abstract">',
                                '<tbody>',
                                    '<tr>',
                                        '<td colspan="3">',
                                            '<div class="page-item runningitem" data-line="article-abstract-top"></div>',
                                        '</td>',
                                    '</tr>',
                                    '<tr class="columns">',
                                        '<td class="column article-abstract-column-one">',
                                            '<div class="page-item runningitem" data-line="article-abstract-left"></div>',
                                        '</td>',
                                        '<td class="column article-abstract-column-two"></td>',
                                        '<td class="column article-abstract-column-three">',
                                            '<div class="page-item runningitem" data-line="article-abstract-right"></div>',
                                        '</td>',
                                    '</tr>',
                                    '<tr>',
                                        '<td colspan="3">',
                                            '<div class="page-item runningitem" data-line="article-abstract-bottom"></div>',
                                        '</td>',
                                    '</tr>',
                                '</tbody>',
                            '</table>',
                            '<div class="page-item runningitem" data-line="body" data-line-min-limit="3"></div>',
                            '<div class="bottom-aligner"></div>',
                            '<div class="page-item dynamicitem" data-link="link#1,link#2" data-footnote-region></div>',
                        '</div>',
                        '<div class="page-item staticitem">',
                            '<div class="page-footer">',
                                '<div class="doi-panel">',
                                    '<span>http://dx.doi.org/</span>',
                                    '<span class="doi-filled"></span>',
                                '</div>',
                                '<div class="copyright-panel">',
                                    '<span class="issn-generated">~issn info~</span>',
                                    '<span>/</span>',
                                    '<span class="copyright-generated">~copyright info~</span>',
                                '</div>',
                            '</div>',
                        '</div>',
                    '</div>',
                '</div>',
                '<div class="page versopage">',
                    '<div class="watermark">UNCORRECTED&nbsp;PROOF</div>',
                    '<div class="page-margin">',
                        '<div class="page-item staticitem">',
                            '<div class="page-header">',
                                '<div class="left-header">',
                                    '<span class="page-number">~page no~</span>',
                                '</div>',
                                '<div class="center-header">',
                                    '<span class="document-title">~title info~</span>',
                                    '<span> </span>',
                                    '<span class="volume-no">xx</span>',
                                    '<span class="issue-no">x</span>',
                                    '<span> (</span>',
                                    '<span class="current-year">~copyright year~</span>',
                                    '<span>) </span>',
                                    '<span>xxx-xxx</span>',
                                '</div>',
                                '<div class="right-header"></div>',
                            '</div>',
                        '</div>',
                        '<div class="textarea">',
                            '<div class="page-item dynamicitem" data-link="link#3,link#4,link#5"></div>',
                            '<div class="page-item runningitem" data-line="head" data-line-min-limit="3"></div>',
                            '<table class="article-abstract">',
                                '<tbody>',
                                    '<tr>',
                                        '<td colspan="3">',
                                            '<div class="page-item runningitem" data-line="article-abstract-top"></div>',
                                        '</td>',
                                    '</tr>',
                                    '<tr class="columns">',
                                        '<td class="column article-abstract-column-one">',
                                            '<div class="page-item runningitem" data-line="article-abstract-left"></div>',
                                        '</td>',
                                        '<td class="column article-abstract-column-two"></td>',
                                        '<td class="column article-abstract-column-three">',
                                            '<div class="page-item runningitem" data-line="article-abstract-right"></div>',
                                        '</td>',
                                    '</tr>',
                                    '<tr>',
                                        '<td colspan="3">',
                                            '<div class="page-item runningitem" data-line="article-abstract-bottom"></div>',
                                        '</td>',
                                    '</tr>',
                                '</tbody>',
                            '</table>',
                            '<div class="page-item runningitem" data-line="body" data-line-min-limit="3"></div>',
                            '<div class="page-item dynamicitem" data-link="link#3,link#4,link#5"></div>',
                            '<div class="bottom-aligner"></div>',
                            '<div class="page-item dynamicitem" data-link="link#1,link#2" data-footnote-region></div>',
                        '</div>',
                        '<div class="page-item staticitem">',
                            '<div class="page-footer"></div>',
                        '</div>',
                    '</div>',
                '</div>',
                '<div class="page rectopage">',
                    '<div class="watermark">UNCORRECTED&nbsp;PROOF</div>',
                    '<div class="page-margin">',
                        '<div class="page-item staticitem">',
                            '<div class="page-header">',
                                '<div class="left-header"></div>',
                                '<div class="center-header">',
                                    '<span class="document-title">~title info~</span>',
                                    '<span> </span>',
                                    '<span class="volume-no">xx</span>',
                                    '<span class="issue-no">x</span>',
                                    '<span> (</span>',
                                    '<span class="current-year">~copyright year~</span>',
                                    '<span>) </span>',
                                    '<span>xxx-xxx</span>',
                                '</div>',
                                '<div class="right-header">',
                                    '<span class="page-number">~page no~</span>',
                                '</div>',
                            '</div>',
                        '</div>',
                        '<div class="textarea">',
                            '<div class="page-item dynamicitem" data-link="link#3,link#4,link#5"></div>',
                            '<div class="page-item runningitem" data-line="head" data-line-min-limit="3"></div>',
                            '<table class="article-abstract">',
                                '<tbody>',
                                    '<tr>',
                                        '<td colspan="3">',
                                            '<div class="page-item runningitem" data-line="article-abstract-top"></div>',
                                        '</td>',
                                    '</tr>',
                                    '<tr class="columns">',
                                        '<td class="column article-abstract-column-one">',
                                            '<div class="page-item runningitem" data-line="article-abstract-left"></div>',
                                        '</td>',
                                        '<td class="column article-abstract-column-two"></td>',
                                        '<td class="column article-abstract-column-three">',
                                            '<div class="page-item runningitem" data-line="article-abstract-right"></div>',
                                        '</td>',
                                    '</tr>',
                                    '<tr>',
                                        '<td colspan="3">',
                                            '<div class="page-item runningitem" data-line="article-abstract-bottom"></div>',
                                        '</td>',
                                    '</tr>',
                                '</tbody>',
                            '</table>',
                            '<div class="page-item runningitem" data-line="body" data-line-min-limit="3"></div>',
                            '<div class="page-item dynamicitem" data-link="link#3,link#4,link#5"></div>',
                            '<div class="bottom-aligner"></div>',
                            '<div class="page-item dynamicitem" data-link="link#1,link#2" data-footnote-region></div>',
                        '</div>',
                        '<div class="page-item staticitem">',
                            '<div class="page-footer"></div>',
                        '</div>',
                    '</div>',
                '</div>',
                '<div class="page landscapepage">',
                    '<div class="watermark">UNCORRECTED&nbsp;PROOF</div>',
                    '<div class="page-margin">',
                        '<div class="page-item staticitem">',
                        '</div>',
                        '<div class="textarea">',
                            '<div class="page-item dynamicitem" data-link="link#3,link#4,link#5"></div>',
                        '</div>',
                        '<div class="page-item staticitem">',
                        '</div>',
                    '</div>',
                '</div>'
            ]
        }
    ];

    return config;
});
